API Endpoints Summary
Section titled βAPI Endpoints Summaryβ- POST
/api/v1/users/auth/loginβ Login with username and password - POST
/api/v1/users/auth/refreshβ Refresh access token - GET
/api/v1/users/auth/meβ Get current user profile - POST
/api/v1/users/auth/logoutβ Logout - POST
/api/v1/auth/signupβ Sign up with email and password - POST
/api/v1/auth/verify-emailβ Verify email address - POST
/api/v1/auth/resend-verificationβ Resend verification email - POST
/api/v1/auth/forgot-passwordβ Request password reset - POST
/api/v1/auth/reset-passwordβ Reset password - GET
/api/v1/auth/available-regionsβ Get available server regions - GET
/api/v1/auth/githubβ Redirect to GitHub OAuth - GET
/api/v1/auth/github/callbackβ GitHub OAuth callback - GET
/api/v1/auth/googleβ Redirect to Google OAuth - GET
/api/v1/auth/google/callbackβ Google OAuth callback
# CLI mapping will be generated from the SDK CLI sources in a later step.# Example (placeholder):# hoody-cli <command> --help